# Uses of Class
net.shibboleth.idp.attribute.resolver.logic.ResolutionLabelPredicate

Packages that use ResolutionLabelPredicate
Package
Description
net.shibboleth.idp.attribute.resolver.logic
Predicates related to attribute resolution.

## Uses of ResolutionLabelPredicate in net.shibboleth.idp.attribute.resolver.logic

Methods in net.shibboleth.idp.attribute.resolver.logic that return ResolutionLabelPredicate
Modifier and Type
Method
Description
`(package private) static ResolutionLabelPredicate`
ResolutionLabelPredicate.`byList(Collection<String> candidates)`
Factory Method to avoid type-coercion warnings from Spring.
`(package private) static ResolutionLabelPredicate`
ResolutionLabelPredicate.`byPredicate(Predicate<String> pred)`
Factory Method to avoid type-coercion warnings fromSpring.